﻿@using Jumbula.Common.Constants
@{
    Layout = "~/Views/Shared/_Layout.cshtml";
}

@* Navbar *@
@Html.Partial("~/Views/Shared/_SolutionUpperTray.cshtml")

@RenderSection("_Notification", false)

<div id="solutionContainer" class="clearfix">
    @* Body *@
    @RenderBody()
    @if (ViewBag.IsHome == null || ViewBag.IsHome == false)
    {
    <!-- Footer -->
        <footer id="solutionFooter" class="clearfix">
            <div class="container">
                <div class="row upper-block">
                    <div class="row-sm-height">
                        <div class="col-sm-4 contact text-center col-sm-height col-sm-middle">
                            <div class="inside-full-height">
                                <a href="@Url.Action("Contact","Home")"><h5 class="text-uppercase">Let's talk</h5></a>
                                <p><a href="mailto:@Constants.W_JumbulaInfoEmail">@Constants.W_JumbulaInfoEmail</a></p>
                                <p><a href="tel:6502570076">(650) 257-0076</a></p>
                            </div>
                        </div>
                        <div class="col-sm-4 careers text-center col-sm-height col-sm-middle">
                            <div class="inside-full-height">
                                <h5 class="text-uppercase">Find us</h5>
                                <p>425 Broadway Street<br />Redwood City, CA 94063<br />United States</p>
                            </div>
                        </div>
                        <div class="col-sm-4 careers text-center col-sm-height col-sm-middle">
                            <div class="inside-full-height">
                                <h5 class="text-uppercase">Service policies</h5>
                                <p><a href="~/Content/pdf/security-of-data-and-privacypolicy.pdf" target="_blank">Security of data and privacy policy</a></p>
                                <p><a href="~/Content/pdf/service-level-agreement.pdf" target="_blank">Service level agreement (SLA)</a></p>
                            </div>
                        </div>
                        @*
                            <div class="col-sm-4 newsletter col-sm-height col-sm-middle">
                                  <div class="inside-full-height">
                                      <h5 class="text-uppercase text-center">Engage newsletter</h5>
                                      @using (Ajax.BeginForm(
                                          actionName: "NewsletterSubscribe",
                                          controllerName: "Home",
                                          routeValues: null,
                                          ajaxOptions: new AjaxOptions()
                                          {
                                              OnBegin = "newsletterBegan",
                                              OnSuccess = "newsletterSucceeded",
                                              OnComplete = "newsletterCompleted",
                                              OnFailure = "newsletterFailed"
                                          },
                                          htmlAttributes: new
                                          {
                                              @class = "inline-form",
                                              novalidate = ""
                                          }))
                                      {
                                          <div class="form-group">

                                              @Html.TextBox("email", null, new { @class = "form-control", placeholder = "Email", type = "email" })
                                              <span class="field-validation-valid" data-valmsg-for="email" data-valmsg-replace="true"></span>
                                          </div>
                                          <button type="submit" class="btn" data-loading-text="Submitting...">Submit</button>
                                      }
                                      <div class="newsletter-congrats-message text-center">
                                          <span class="icon jbi-check"></span>
                                          <h5>Thank you for subscribing!</h5>
                                      </div>
                                  </div>
                              </div>
                        *@
                    </div>
                </div>
                <div class="row bottom-block">
                    <div class="row-sm-height">
                        <div class="col-md-5 links text-left col-sm-height col-sm-middle">
                            <div class="inside-full-height">
                                <p>
                                    <a href="@Url.Action("Pricing","Home")">Pricing</a>
                                    <a href="@Url.Action("Index", "Markets")">Markets</a>
                                    <a href="http://blog.jumbula.com/">Blog</a>
                                    <a href="@Url.Action("Contact","Home")">Contact</a>
                                    <a href="@Url.Action("freetrial","Home")" class="free-trial">Start free trial</a>
                                </p>
                            </div>
                        </div>
                        <div class="col-sm-2 social text-center col-sm-height col-sm-middle">
                            <div class="inside-full-height">
                                <p>
                                    <a href="http://blog.jumbula.com" class="jbi-book" title="Blog"></a>
                                    <a href="https://twitter.com/Jumbulame" class="jbi-twitter" title="Twitter"></a>
                                    <a href="https://www.facebook.com/jumbulame" class="jbi-facebook" title="Facebook"></a>
                                </p>
                            </div>
                        </div>
                        <div class="col-sm-5 copyright text-right col-sm-height col-sm-middle">
                            <div class="inside-full-height">
                                <p>&#169 Copyright 2015 Jumbula. All Rights Reserved.</p>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </footer>
    }
</div>
@Html.Partial("_FreeTrialPopUp")
@section Styles{
    <link href="~/Content/Student/Home/Style.css" rel="stylesheet" />

    @RenderSection("Styles", required: false)
}
@section Scripts{
    @RenderSection("Scripts", required: false)
    @if (ViewBag.IsHome == null || ViewBag.IsHome == false)
    {
        @Scripts.Render("~/bundles/unobtrusive-ajax")
        @Scripts.Render("~/bundles/validate")
        @Scripts.Render("~/bundles/validate-unobtrusive")

        <script type="text/javascript">
            function newsletterSucceeded(data) {
                if (data.status) {
                    $("#solutionFooter .newsletter form").fadeOut(500);
                    setTimeout(function () {
                        $("#solutionFooter .newsletter .newsletter-congrats-message").fadeIn(500);
                    }, 500);
                } else {
                    $("#solutionFooter .newsletter input").addClass("input-validation-error");
                    $("#solutionFooter .newsletter .form-group .field-validation-valid").removeClass("field-validation-valid").addClass("field-validation-error").html('<span id="BizName-error" class="">Please enter a valid email address.</span>');
                }
            }

            function newsletterCompleted() {
                $('#solutionFooter .newsletter form :submit').button('reset');
            }

            function newsletterFailed() {

            }

            function newsletterBegan() {
                $('#solutionFooter .newsletter form :submit').button('loading');
            }
        </script>
    }

    <script src="~/Scripts/Student/Home.js"></script>

}
